import { w as withInstall } from "../badge/index2.js";
import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ".layui-container{position:relative;margin:0 auto;padding:0 15px;box-sizing:border-box}.layui-fluid{position:relative;margin:0 auto;padding:0 15px}\n")();
const __default__ = {
  name: "LayContainer"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    fluid: { default: false }
  },
  setup(__props) {
    const props = __props;
    const classes = computed(() => props.fluid ? "layui-fluid" : "layui-container");
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(unref(classes))
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
